package com.fundi.framework.common.editor;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import com.fundi.framework.common.instance.AppInstance;
import com.fundi.framework.common.instance.Environment;
import com.fundi.framework.common.instance.OpenItem;

public class ObjectEditor {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	protected AppInstance instance;
	protected Object sourceObject;
	protected Environment environment;
	
	public ObjectEditor() {
		
		super();
	}
	
	public ObjectEditor(AppInstance instance, Object sourceObject, Environment environment) {
		
		super();
		
		initialise(instance, sourceObject, environment);
	}
	
	public void initialise(AppInstance instance, Object sourceObject, Environment environment) {
		
		this.instance = instance;
		this.sourceObject = sourceObject;
		this.environment = environment;
	}
	
	public boolean canProvideEditor() {
		
		return false;
	}
	
	public void openEditor() {}
	
	public void openEditor(OpenItem priorItem) {}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		String className = this.getClass().getName();
		result = prime * result + ((className == null) ? 0 : className.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		return true;
	}
}
